/**
 * @description：自定义session存储仓库
 */
declare class Store {
    private engine;
    private storeKey;
    constructor(engine: Storage);
    /**
     * @description: 设置全部数据
     */
    setAll(data: any): void;
    /**
     * @description: 根据key值获取对应的值
     */
    getAll(): any;
    /**
     * @description: 根据key值获取对应的值
     */
    getItem(key: string): any;
    /**
     * @description: 根据key值设置对应的值
     */
    setItem(keyOrObj: string | object, value?: any): void;
    /**
     * @description: 根据key值删除对应的值
     */
    removeItem(key: string): void;
    /**
     * @description: 根据key值获取加密对应的值
     */
    getCryptoItem(key: string): any;
    /**
     * @description: 根据key值设置加密对应的值
     */
    setCryptoItem(key: string, value: any): void;
    /**
     * @description: 批量获取key:value组
     */
    batchGet(keyList: string[]): any;
    /**
     * @description: 批量设置key:value组
     */
    batchSet(obj: object): void;
    /**
     * @description: 批量删除key:value组
     */
    batchRemove(keyList: string[]): void;
    /**
     * @description: 清空session store
     */
    clear(): void;
}
export declare const localStore: Store;
export declare const sessionStore: Store;
export {};
